## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSoundDataRaw Class Reference

Inheritance diagram for csSoundDataRaw:

[legend]
List of all members.

## Public Member Functions

virtual const csSoundFormat * | GetFormat ()
| Get the format of the sound data.
virtual void * | GetStaticData ()
| Get a pointer to the data buffer (static sounds only).
virtual long | GetStaticSampleCount ()
| Get size of this sound in samples (static sounds only).
virtual bool | Initialize (const csSoundFormat *fmt)
| Prepare the sound for output using the given format.
virtual bool | IsStatic ()
| Return true if this is a static sound, false if it is streamed.
virtual void * | ReadStreamed (long &NumSamples)
| Read a data buffer from the sound (streamed sounds only).
virtual void | ResetStreamed ()
| Reset the sound to the beginning (streamed sounds only).

## Detailed Description

Definition at line 27 of file soundraw.h.

## Member Function Documentation

virtual const csSoundFormat* csSoundDataRaw::GetFormat | ( |  | ) | `[virtual]`

| Get the format of the sound data. Implements iSoundData.

virtual void* csSoundDataRaw::GetStaticData | ( |  | ) | `[virtual]`

| Get a pointer to the data buffer (static sounds only). Implements iSoundData.

virtual long csSoundDataRaw::GetStaticSampleCount | ( |  | ) | `[virtual]`

| Get size of this sound in samples (static sounds only). Implements iSoundData.

virtual bool csSoundDataRaw::Initialize | ( | const csSoundFormat * | fmt | ) | `[virtual]`

| Prepare the sound for output using the given format. Implements iSoundData.

virtual bool csSoundDataRaw::IsStatic | ( |  | ) | `[virtual]`

| Return true if this is a static sound, false if it is streamed. Implements iSoundData.

virtual void* csSoundDataRaw::ReadStreamed | ( | long & | NumSamples | ) | `[virtual]`

| Read a data buffer from the sound (streamed sounds only). The NumSamples parameter is modified to a smaller value if not all samples could be read (i.e. the stream is finished). The returned buffer is valid until the next call to Read(). Implements iSoundData.

virtual void csSoundDataRaw::ResetStreamed | ( |  | ) | `[virtual]`

| Reset the sound to the beginning (streamed sounds only). Implements iSoundData.

The documentation for this class was generated from the following file:

- csplugincommon/soundloader/soundraw.h